Seznámení s programem

Program BFile slouží ke kompletnímu zálohování dat jak na lokální stanici, tak i na síťovém počítači či FTP serveru.

Záloha může být koprimována nebo vytvořena prostým zkopírováním souborů dle předem nastavených podmínek.

Program se neomezuje pouze na data, která jsou uložena na discích, ale umožňuje též stahovat soubory po FTP či HTTP protokolu. Místo spuštění zálohy lze definovat např. soubor, který se spustí a lze takto využít externích komprimačních programů, případně využít program jako časovač pro spouštění různých procesů, časované vypnutí PC, ...

Výsledná záloha může mít jedinečné jméno např.: 2004_12_03_19_01_32.zip (rok_měsíc_den_hodina_minuta_sekunda), jméno, které je shodné se jménem úlohy, případně lze využít kombinací.

    Možnosti plánování

    • intervalem (např. každých 15 min.)
    • náhodně (automatické generování intervalu dle nastavitelného časového rozsahu)
    • denně (např. každý den v 15:30)
    • týdně (např. každé úterý v 11:00)
    • měsíčně (např. každý třetí den v měsíci ve 12:00)
    • automaticky (k záloze dojde po změně souborů, např. po jeho editaci, smazání apod.)
    • po spuštění programu
    • po vložení USB jednotky

    Možnosti zálohování

    • vše
    • rozdílové zálohy - zálohuje pouze změny
    • zrcadlení souborů - jednosměrná synchonizace souborů
    • kopie 1:1 - obousměrná synchonizace souborů

    Filtry

    • souborů, které mají být zálohovány
    • souborů, které nemají být zálohovány
    • adresářů, které mají být zálohovány
    • adresářů, které nemají být zálohovány
    • dle velikosti
    • dle atributů

    Další nastavení

    • automatické mazání záloh (dle data nebo do počtu)
    • logování všech operací do souboru
    • záloha pouze rootu nebo celé složky
    • možnost nastavení akce, po dokončení zálohy
    • možnost spouštění programů jako samostatné úlohy
    • záloha po spuštění systému
    • odeslání zálohy, informace či logu emailem
    Program také obsahuje několik funkcí a pomůcek usnadňujících práci se zálohami a soubory. Např.:
    • archivační modul umožňující operace se zip soubory - komprimace, dekomprimace,...
    • prohlížeč záloh s možností mazání a porovnávání souborů
    • historii záloh
    • historii zálohovaných souborů
    • tvorba samorozbalovacích archívů
    • porovnávání souborů a adresářů
    • generátor adresářové struktury
    • fultextové vyhledávání na disku
    • rozdělení velkých souborů
    • update přímo z programu
    • tvorbu ZIP64 archívů s velikosti nad 4GB
    • šifrování souborů
    • generátor hesel
    • běh programu jako služba OS


Soubor

Popis menu - Soubor

Skrýt (Esc)

Skryje program do tray ikony

Export

Umožní uložit do souborů informace o úlohách

Konec

Ukončí běh programu


Úloha

Popis menu - Úloha

Nová (Ins)

Umožní zadat informace pro vytvoření nové úlohy.
Viz. Založení nové úlohy

Nová rychle

Umožní vytvořit úlohu s minimem zadávaných údajů

Nová podle vzoru

Vytvoří kopii aktuálně vybrané úlohy

Změnit stav

Zapne nebo vypne spouštění zálohování vybrané úlohy

Editovat (Enter)

Umožní změnit konfiguraci úlohy

Smazat (Del)

Smaže vybranou úlohu

Generovat dávku

Vytvoří dávkový soubor umožňující spouštění úlohy mimo program BFile.
Viz. Parametry příkazové řádky

Reset

Odstraní informace o rozdílových zálohách. Po spuštění úlohy bude provedena záloha "od začátku".

Vlastnosti

Vypíše informace o úlohách


Akce

Popis menu - Akce

Záloha (Ctrl+Z)

Spustí zálohování vybrané úlohy

Vlastní záloha (Ctrl+U)

Spustí zálohování vybrané úlohy s možností zadání vlastního jména souboru
Viz. Možnosti a nastavení úlohy

Aktivovat vše

Aktivuje všechny úlohy

Deaktivovat vše

Deaktivuje všechny úlohy

Vše přepnout

Neguje stavy jednotlivých úloh

Zazálohovat vše

Spustí zálohování všech úloh

Zazálohovat aktivované

Spustí zálohování všech aktivních úloh


Aliasy

Popis Menu - Aliasy

Adresáře

Umožní definovat často používané adresáře nebo skupiny adresářů
Viz. Aliasy - Adresáře

FTP

Umožní definovat spojení pro FTP připojení
Viz. Aliasy - FTP

HTTP

Umožní definovat umístění souborů na HTTP serveru
Viz. Aliasy - HTTP

Programy

Umožní definovat aliasy pro spouštění programů, případně akce, které mají být provedeny po dokončení zálohy
Viz. Aliasy - Programy


Archivace

Popis menu - Archivace

Nový archív

Vytvoří nový ZIP archív

Otevřít archív

Otevře ZIP soubor

Otevřít modul

Otevře modul pro práci se ZIP archívy
Viz. Popis archivačního modulu


Zálohy

Popis menu - Zálohy

Otevřít zálohy

Zobrazí seznam záloh
Viz. Správa záloh - Prohlížeč záloh

Mazání záloh

Otevře okno pro mazání záloh
Viz. Správa záloh - Mazání záloh

Zálohované soubory

Zobrazí přehled zálohovaných souborů
Viz. Správa záloh - Zálohované soubory

Historie záloh

Otevře okno s historií všech záloh
Viz. Správa záloh - Historie záloh

Ukončit vybranou

Ukončí právě probíhající zálohu vybrané úlohy

Ukončit vše

Ukončí všechny probíhající zálohy


Log

Popis menu - Log

Uložit

Uloží obsah logu do souboru

Smazat

Smaže obsah logu v okně


Nástroje

Popis menu - Nástroje

Přejmenování souborů

Zobrazí dialog pro změnu jména či parametrů souborů
Viz. Nástroje - Přejmenování souborů

Generování struktury

Vygeneruje informace o souborech ve zvoleném adresáři
Viz. Nástroje - Generování struktury

Hledání

Vyhledá soubory dle zadané masky, velikosti nebo textu
Viz. Nástroje - Hledání

Rozdělení souborů

Rozdělí veliké soubory
Viz. Nástroje - Rozdělení souborů

Samorozbalovací archívy

Vytvoří ze ZIP archívů exe soubory
Viz. Nástroje - Samorozbalovací archívy

Porovnání adresářů

Porovná obsahy dvou adresářů
Viz. Nástroje - Porovnání adresářů

Porovnání souborů

Porovná dva soubory dle zadaných kritérií
Viz. Nástroje - Porovnání souborů

Generátor hesel

Umožní náhodné generování hesel dle zadaných kritérií
Viz. Nástroje - Generátor hesel

Šifrování souborů

Zašifruje/dešifruje libovolé soubory
Viz. Nástroje - Šifrování souborů

Záloha BFile

Zazálohuje celý program BFile či nastavení úloh
Viz. Nástroje - Záloha BFile

Kontrola nové verze

Zkontroluje, zda na internetu existuje novější verze programu


Nastavení

Popis menu - Nastavení

Možnosti programu

Umožní změnit chování a vzhled programu
Viz. Nastavení - Možnosti programu

Možnosti záloh

Umožní nastavit chování zálohování
Viz. Nastavení - Možnosti záloh


Popis menu - Nápověda

Nápověda

Zobrazí tuto nápovědu

Hlášení chyby

Umožní odeslat email autorovi s popisem chyby programu

Registrace

Zobrazí dialog pro zadání registračního čísla
Viz. Registrace

O programu

Otevře dialog s informacemi o programu


Založení nové úlohy

Popis programu - Založení nové úlohy

Novou úlohu lze založit několika způsoby:
  • kliknutím na položku v menu Nová úloha
  • stiskutím klávesy Insert
  • kliknutím na položku v toolbaře
  • prostým přetažením adresáře (drag & drop)

Adresáře

  • Jméno - uživatelský identifikátor zálohy (používá se např. ve výpisu logu)
  • Adresář zálohy - určuje složku (alias), jejíž obsah bude zálohován. Adresář lze zapsat ručně nebo vybrat tlačítkem v toolbaře.
  • Adresář pro ukládání - určuje složku, do které budou zálohy ukládány. Adresář lze zapsat ručně nebo vybrat tlačítkem v toolbaře.

Filtry

  • Filtry souborů a adresářů se zadávají jako jména nebo přípony dle hvězdičkové konvence(např.:*.*; *.doc;???_dokument.*). Pro použití více fitlrů je třeba použít jako oddělovače středník (bez mezer).

Nastavení

  • Možnosti úlohy
    • Zazálohovat při spuštění - po spuštění programu dojde ke spuštění zálohování nezávisle na tom, je-li úloha aktivní nebo je-li nastaven jiný plán
    • Zálohovat včetně podadresářů - určuje, zda se do zálohy zahrnou i podadresáře
    • Komprimovat soubory - nebude-li checkbox zatžen, budou soubory pouze kopírovány do příslušného adresáře
    • Negenerovat jedinečné jméno - nebude-li checkbox zatřžen, nebude generováno jedinečné jméno zálohy, ale jméno bude odpovídat jménu úlohy.
    • Spustit po vložení USB disku - úloha bude spuštěna automaticky po vložení přenosného disku.
      V případě, že je definována jmenovka, bude spuštění provedeno pouze pro zařízení se stejným názvem.
      Místo jmenovky může být uvedeno pouze písmeno jednotky např.: R:
  • Typy úloh
    • Automatické zálohování - při této volbě bude ignorován časový interval. K záloze dojde v případě změny souborů (přejmenování, editace, smazání, ...), které jsou obsaženy ve složce "Adresář zálohy"
    • Rozdílové zálohy - zálohovány budou pouze soubory změněné od poslední zálohy
    • Zrcadlit soubory - cílový adresář je synchronizován se zdrojovým
    • Kopie 1:1 - obousměrná synchronizace cílového adresáře se zdrojovým
  • Možnosti plánování
    • Intervalem - časový interval, po jehož uplynutí dojde ke spuštění zálohování
    • Náhodně - program generuje časový interval automaticky v rozmezí 15min. až do zadané hodnoty. Po vypršení času je generován nový interval.
    • Týdně - záloha bude provedena v nastavené den v týdnu a hodinu. V případě zatržení checkboxu Každý den bude záloha spuštěna denně v nastavenou hodinu
    • Měsíčně - záloha bude provedena každý měsíc nastaveného dne a hodinu

Parametry

  • Velikosti souborů - k dispozici jsou možnosti: větší, přesně, menší (než zadaná hodnota)
  • Atributy - do zálohy budou zařazeny pouze soubory s vybranými atributy
  • Heslo - heslo archívu

Vlastnosti

  • Mazat zálohy - po provedení zálohy budou staré zálohy smazány buď podle stáří nebo do počtu (zadaná hodnota udává počet posledních záloh, které mají být zachovány)
  • Kontrola souborů - výběr se uplatní pouze u rozdílové zálohy. U zrcadlení souborů je třeba vždy použít kontrolního součtu
  • Uchovávat historii záloh - zapíše informaci o provedené záloze do konfiguračního souboru, které lze prohlížet v menu Záloha - Historie záloh
  • Odesílat informace emailiem - pokud je zatrženo, program odesílá informace emailem po dokončení zálohy. Zároveň je třeba mít nastaven min. jeden emailový profil v menu - Nastavení - Možnosti záloh - záložka email
  • Dělit ZIP archívy dle adresářů - program vytvoří zálohy dle jmen adresářů v první úrovni "Adresáře zálohy".
  • Nevytvářet prázdné archívy - nebudou vytvářeny zálohy s nulovou velikostí
  • Generovat log - po zadání adresáře budou vytvářeny logovací soubory s popisem celé zálohovací operace. Jméno výsledného logu odpovídá jménu zálohy
  • Akce po ukončení zálohy - umožní vybrat akci, která je provedena po dokončení zálohy. Akci lze definovat v menu Aliasy - Programy
  • Datum poslední zálohy - zobrazí datum poslední provedené zálohy. Při rozdílových zálohách lze tlačítkem reset "vynulovat" informace o záloze a započít takto nový zálohovací cyklus
  • Informace o rozdílové záloze - tlačítkem smazat lze informace vymazat a zahájit nový zálohovací cyklus. Tato možnost se týká úloh, které porovnávají soubory na základě kontrolního součtu
  • Úroveň komprese ZIPu - umožní nastavit komprimační poměr ZIP archívu

Po stisknutí tlačítka OK dojde k uložení úlohy a zavření dialogového okna.
Již uloženu úlohu lze editovat v seznamu úloh hlavního okna stiskem klávesy Enter


Možnosti a nastavení úlohy

Popis programu - Možnosti a nastavení úlohy

Editace úlohy

Úlohu lze editovat vybráním řádku v seznamu úloh a stisktutím klávesy Enter, případně z menu, položkou Editace úlohy nebo kliknutím na tlačítko v toolbaře

Spuštění / zastavení úlohy

Lze změnit kliknutím na přepínač v seznamu úloh

Spuštění vlastní zálohy

Po kliknutí na položku v menu Možnosti - Vlastní záloha dojde k otevření dialogového okna pro zadání jména souboru. Po stisku tlačítka OK dojde k provedení vybrané zálohy již pod novým jménem. Nebude-li jméno zadáno, bude doplněno jedinečné jméno.

Spuštění zálohy

Po kliknutí na položku v menu Možnosti - Záloha dojde k provedení zálohy vybranéhé úlohy


Aliasy

Popis programu - Aliasy

Slouži k vytvoření skupiny adresářů, k nastavení připojení k internetu či definici spouštění programů.
Aliasy lze následně vybrat v detailu úlohy pro zálohování či jako akci, která má být spuštěna po dokončení úlohy.

Adresáře

Umožní definovat často používané adresáře nebo skupiny adresářů pro zálohování

Dostupné funkce
  • Nový - založí nový alias
  • Přejmenovat - přejmenuje název aliasu
  • Smazat - odstraní vybraný alias
  • Přidat cestu - přidá novou cestu k vybranému aliasu
  • Přidat cesty - zobrazí dialog pro výběr adresářů
  • Generovat uživatelské adresáře - viz. obrázek
  • Smazat cestu - odstraní vybranou cestu v aliasu
  • Zavřít - zavře dialog

FTP

Umožní definovat spojení pro FTP připojení

Dostupné funkce
  • Nový - vytvoří nový alias
  • Uložit - uloží alias
  • Smazat - smaže vybraný alias
  • Test - zobrazí dialog pro procházení adresářem na FTP serveru
  • Zavřít - zavře dialog

HTTP

Umožní vytvořit spojení pro umístění souborů na HTTP serveru

Dostupné funkce
  • Nový - vytvoří nový alias
  • Uložit - uloží alias
  • Smazat - smaže vybraný alias
  • Zavřít - zavře dialog

Programy

Umožní definovat aliasy pro spouštění programů, případně akce, které mají být provedeny po dokončení zálohy.
Jako parametr lze dosadit pomocí speciálních znaků (%n, %p, %f) jméno či celý adresář poslední provedené zálohy a lze tak využít externích koprimačních nástrojů, vypálit CD, ....

Dostupné funkce
  • Nový - založí nový alias
  • Uložit - uloží alias
  • Smazat - odstraní alias
  • Test - spustí soubor
  • Zavřít - zavře dialog


FTP zálohování

Popis programu - FTP zálohování

Ukládání na FTP server lze nastavit jako akci po dokončení zálohy:

Popis nastavení
  • Založit nový FTP alias v menu - Aliasy - FTP
  • Vytvořit novou akci pro spuštění FTP v menu Aliasy - Programy,
    kde musí být vybrána akce "uložit zálohu na FTP server" a zároveň musí být vybrán FTP alias vytvořený v předchozím kroku.
  • Takto definovanou akci lze vybrat v libovolných úlohách v záložce Vlastnosti - Akce po ukončení zálohy

Stahování z FTP serveru

Popis nastavení
  • Založit nový FTP alias v menu - Aliasy - FTP
  • V detailu úlohy lze FTP alias vybrat v záložce Adresáře tlačítkem Otevřít aliasy FTP
V průběhu ukládání či stahování z FTP severu je průběh operace zobrazen v hlavním okně:

Nastavení při výpadku spojení se serverem či omezení přenosové rychlosti lze provést v menu Nastavení - Možnosti záloh


Správa záloh

Popis programu - Správa záloh

Prohlížeč záloh

Dialog v levém seznamu zobrazuje seznam úloh. Po vybrání úlohy jsou v pravém seznamu zobrazeny všechny existující soubory záloh.

Dostupné funkce
  • Otevřít soubor/adresář - otevře vybraný soubor (též na poklepání vybraného řádku)
  • Smazat označené - smaže označené položky
  • Smazat vybrané - smaže vybrané položky
  • Smazat soubory od data - smaže soubory, které jsou starší než vybrané datum
  • Smazat nejstarší soubory - v adresáři zálohy ponechá pouze soubory jejihž počet není větší než zadaná hodnota
  • Smazat soubory dle velikosti - odstraní soubory, které přesahují zadanou velikost (v KB)
  • Porovnat soubory - porovná soubory dle CRC. Pro správný chod funkce je třeba vybrat min. jeden ZIP soubor. Pokud je souborů zadáno více, bude porovnání probíhat vůči prvnímu vybranému
  • Vybrat vše - vybere všechny soubory
  • Zrušit výběr - zruší výběr
  • Zavřít - zavře dialog

Mazání záloh

Dostupné funkce
  • Smazat - smaže zálohy v adresářích vybraných úloh. Poslední záloha zůstane zachována. Pro využití této funkce je doporučeno mít u každé úlohy nastaveno "Nevytvářet prázdné archívy"
  • Zavřít - zavře dialog

Zálohované soubory

Strom zobrazuje seznam všech zálohovaných souborů pro úlohu, která je vybrána v horní části okna.
Výběrem souboru jsou v pravé části vypsány informace o poslední záloze. Položka "Plátná záloha" určuje, zda záloha existuje.
Zatržením checkboxu "Porovnávat s lokálním souborem" ke kontrolován původní soubor, jeho existence.
Je-li v nastavení úlohy aktivní porovnávání dle CRC, bude zálohovaný soubor porovnáván s původním dle kontrolního součtu.

Historie záloh

Slouží k zobrzení všech záloh v připadě, že je tato funkce povolena v nastavení úlohy:
záložka Vlastnosti - "Uchovávat historii záloh"

Dostupné funkce
  • Smazat vybrané - smaže označené řádky
  • Smazat vše - smaže veškeré informace o historii záloh
  • Export - uloží historii záloh do html souboru
  • Zavřít - zavře okno


BFile jako služba

Popis programu - BFile jako služba

Práce s programem

V případě, že je program spuštěn jako služba, je možné jej používat klasickým způsobem.
Tj. otevřením BFile.exe a pří ukončení je program opět "skryt" do služby.

V tomto módu program neumožňuje odesílání emailů.

Instalace progamu jako služby:

BFile.exe -s install
Služba musí mít zatržen checkbox "Povolit službě používání plochy" (po instalaci je tato volba vybrána)

Odinstalace služby:

BFile.exe -s uninstall

Operace se službou:

Zastavení - net stop bfile
Spuštění - net start bfile


Příkazový řádek

Popis programu - Příkazový řádek

Prepínače lze použít s pomlčkou či lomítkem, např.:

BFile.exe -e archiv.zip
BFile.exe /e archiv.zip

Archivace "A"

Parametrů | Význam | Přiklad
0 | otevře archivační modul | BFile.exe -a
1 | Zazipuje předaný adresář | BFile.exe -a "c:\test"
2 | Zazipuje předaný adresář do souboru dle třetího parametru | BFile.exe -a "c:\test" archiv.zip

Rozbalení zipu "E"

Parametrů | Význam | Přiklad
0 | otevře archivační modul | BFile.exe -e
1 | Extrahuje soubory z předaného archívu | BFile.exe -e archiv.zip
2 | Extrahuje soubory z předaného archívu do adresáře dle třetího parametru | BFile.exe -e archiv.zip "c:\test"

Spuštění úlohy "B"

Příklad: BFile.exe -b "Uloha1"

Založení nové úlohy "adresář"

Příklad: BFile.exe c:\Test

Otevření ZIPu "soubor"

Příklad: BFile.exe "c:\Test\archiv.zip"


Registrace

Popis programu - Registrace

Program BFile je šířen jako shareware s jistým omezením.
Chcete-li využít všech možností zašlete objednávku spolu s číslem disku na adresu uvedenou v about dialogu, případně kliknutím na tlačítko "Objednat".
Po uhrazení faktury vám bude doručen registrační kód, který je vázán na číslo pevného disku.


Archivační modul

Archivační modul - Popis modulu

Archivační modul umožňuje provádět základní operace se ZIP soubory. Implicitně je obsah ZIP souboru zobrazen ve formě seznamu a bez ikonek. Změnu vzhledu lze provést v menu programu - Nastavení - Možnosti programu - Archivace

Dostupné funkce
  • Nový - vytvoří nový archív
  • Otevřít - zobrazí dialog pro otevření ZIP souboru
  • Jméno - zobrazí dialog pro přejmenování souboru
  • Info - zobrazí dialog s podrobnými informacemi o vybraném souboru
  • Vše - uloží obsah celého archívu na disk
  • Vybrané - uloží vybrané soubory
  • Soubor - vloží soubor do archívu
  • Složka - vloží celou složku do archívu
  • Smazat - odstraní vybrané soubory z archívu
  • Test - otestuje soubory
  • Export - uloží do HTML souboru informace o celém archívu
  • Zavřít - zavře okno

V průběhu komprimace či extrahování souborů je zobrazen tento dialog s průběhem operace


Přejmenování souborů

Nástroje - Přejmenování souborů

Funkce umožňuje operace se soubory v adresáři, jako je přejmenování, či změna atributů. Jednotlivé operace jsou vždy prováděny ve zdrovém adresáři a jsou spouštěny samostatně.


Generování struktury

Nástroje - Generování struktury

Fuknce vygeneruje stromovou adresářovou strukturu zadaného adresáře. Pro zvýšení komfortu lze do přehledu zařadit rozšířené informace o souborech a příponách


Hledání

Nástroje - Hledání

Funkce umožňuje vyhledání souborů na discích dle zadaných kriterií.
Jako filtr lze použít podmínku dle hvězdičkové konvence, např. pro vyhledání bitmap *.bmp.


Rozdělení souborů

Nástroje - Rozdělení souborů

Funkce umožňuje rozdělení velkých souborů a jejich opětovné spojení.

Při rozdělení jsou soubory pojmenovány takto: <jmeno_souboru>.<pripona><pořadí>.

Pro spojení souborů je třeba jako zdrojový soubor zadat první rozdělený soubor, např. pro BFile.exe to bude BFile.exe0. Soubory jsou rozděleny do vlastního adresáře.


Samorozbalovací archívy

Nástroje - Samorozbalovací archívy

Funkce umožňuje vytvoření samorozbalovacích souborů z předem vytvořených ZIP souborů. Lze využít grafického rozhraní nebo textového (menší velikost).

Detail grafického rozhraní

Detail textového rozhraní


Porovnání adresářů

Nástroje - Porovnání adresářů

Funkce umožnuje porovnávat obsahy dvou adresářů (pouze root). Není-li zatržen žádný checkbox, je použita defaultní podmínka vyhodnocení - existence samotných souborů.


Porovnání souborů

Nástroje - Porovnání souborů

Funkce umožnuje porovnávat dva soubory.
Pro porovnání textových souborů lze využít přepínače Zobrazit graficky - bude vygenerován HTML soubor se zvýrazněnými změnami.


Generátor hesel

Nástroje - generátor hesel

Nástroj slouží ke generování hesel dle nastavených podmínek


Šifrování souborů

Nástroje - šifrování souborů

Libovolné soubory lze tímto nástrojem zašifrovat do stejného souboru, případně lze soubor uložit do samorozbalovacího exe souboru.

Šifrované soubory lze chránit heslem případně licenčním souborem, který je třeba mít při dešifrování uložen ve stejném adresáři jako exe soubor.


Záloha BFile

Nástroje - Záloha BFile

Funkce umožnuje vytvořit kompletní zálohu programu nebo zálohu nastavení úloh.
Zatržením checkboxu Pouze konfigurace dojde k záloze pouze souborů BFile.xml a BFileAlias.xml, které jsou umístěny v domovském adresáři programu


Možnosti programu

Nastavení - Možnosti programu

Barvy

Umožní změnit barevný vzhled programu

Systém

  • Spouštět program po startu systému - po spuštění systému windows bude také spuštěn program
    !!! Před odinstalací programu je nutné zatržení této položky zrušit !!!
  • Po spuštění skrýt do tray ikony - po spuštění bude program minimalizován do tray ikony
  • Rozšíření exploreru - do menu exploreru bude přidána položka "BFile". Tato položka bude zobrazena pouze u adresářů a její funkce spočívá v rychlém založení úlohy pro zvolený adresář.
    !!! Před odinstalací programu je nutné zatržení této položky zrušit !!!
  • Logování - umožní zadat soubor do kterého bude program automaticky ukládat hlavní log

Archivace

  • Styl zobrazení - umožnuje zobrazit ZIP soubory jako prostý seznam nebo jako adresářovou strukturu
  • Zobrazit ikony - při zatržení budou soubory v archivačním modulu zobrazovat svoji (systémovou) ikonu
  • Okna pro archivaci vždy navrchu - určuje, zda budou okna s průběhem archivace vždy v "pozici navrchu"


Možnosti záloh

Nastavení - Možnosti záloh

Nastavení

  • Ke jménu zálohy přidávat jméno úlohy - výsledné jméno archívu bude mít např. tvar: Zaloha_2005_08_05_21_49_36.zip
  • Zobrazit notifikační dialog - po dokončení zálohy bude zobrazeno následující okno s informacemi o provedené záloze. Toto okno je zobrazeno pouze pokud je program minimalizován do tray ikony

Zvuky

Umožní definovat přehrání zvuků na základě událostí prováděné zálohy

Email

Umožní definnovat emailové adresy a nastavení informací, které mají být odeslány pro dokončení zálohy. Pro odesílání emailů je třeba mít k dispozici internetové připojení a nastavený emailový účet.

Pro bezproblémový chod je třeba povolit odesílání emailů v emailovém klientovi.
Např. pro Outlook Express: menu - Nástroje - Možnosti - záložka zabezpečení - checkbox "Upozornit, pokud se jiná aplikace pokusí odeslat zprávu mým jménem"

Automatické zálohy

Umožní definovat události po kterých dojde je spuštění zálohovacího procesu

FTP

Umožní nastavení akcí při opakování spojení se serverem či omezení přenosové rychlosti při FTP zálohování

Vypínání úloh

V rozsahu nastaveného časového intervalu či o víkendech umožňuje nastavit vypínání (uspání) úloh. Ruční spuštění zálohy lze provádět i v okamžiku vypnuté úlohy.


Rozdělení souborů

Postupy - FTP zálohování

Ukládání na FTP server

1. založíme FTP alias v menu - Aliasy - FTP
2. založíme alias pro "akci" v menu - Aliasy - programy, kde zvolíme akci "Uložit zálohu na FTP server"
3. v detailu úlohy na záložce Vlastnosti vybereme alias v "Akce po dokončení úlohy"

Stahování z FTP serveru

1. vytvořime FTP alias v menu - Aliasy - FTP
2. vybereme alias v detailu úlohy jako Adresář zálohy


Rozdělení souborů

Postupy - Reset úlohy

U rozdílových záloh a u zrcadlení souborů si program pamatuje informace o zálohovaných souborech.

V případě, že chceme provést zálohu "od začatku" tj. vymazat informace o předchozích zálohách a započít
tak nový zálohovací cyklus obsahuje program funkci reset pro konkrétní úlohu.

Funkce je dostupná v detailu úlohy - záložka Vlastnosti:
- Datum poslední zálohy - reset
- Informace o záloze - smazat


Portable

Postupy - Portable

Program umožňuje spustění bez nutnosti instalace na cílový počítač.
K provozu je třeba překopírovat samotný program "BFile.exe" a soubory s konfigurací:

- BFileCfg.xml
- BFile.xml
- BFileAlias.xml
Případně nápovědu BFile.chm.

Tyto soubory jsou defaultně umístěny v adresáři C:\Program Files\BFile


Informace

Program je vytvořen v jazyce C++ za použití vývojového prostředí Microsoft Visual C++ a knihovny MFC pod OS Windows XP.

Obsah instalačního adresáře:

  • BFile.exe - vlastní program
  • BFile.chm - nápověda
  • BFileCfg.xml - nastavení programu
  • BFile.xml - nastavení jednotlivých úloh
  • BFileAlias.xml - nastavení aliasů
  • smabf.exe - pomocný program pro aktualizace z internetu
  • uninstall.exe - odinstalační program

Doporučená konfigurace PC

  • Volné místo na disku - 4MB
  • Operační systém - Windows XP
  • Internet Explorer verze 5.5


Historie

5.00.00.00

22.02.2008
  • Do nastavení přidána definice pořadí sloupců pro seznam úloh
  • Zrychlení rozdílových záloh: použitím této verze budou všechny rozdílové zálohy resetovány a vytvořeny znovu
  • Přidáno událostní zálohování: po vložení USB jednotky
  • Přidáno uspávání úloh v definované době a o víkendech
  • Oprava výběru přípon pro filtrování adresářů a souborů

4.03.01.01

18.06.2007
  • Oprava editace úlohy

4.03.00.00

3.06.2007
  • Opravena chyba při nedostatku místa na disku
  • Oprava stromu adresářů v definici aliasů
  • Spuštení BFile jako služby
  • Přidán reset úlohy do menu "Úloha"
  • Nastavení hesla pro zálohu (ZIP)
  • Přidán pasivní\aktivní režim FTP
  • Na klávesu mezerník lze vypnout\zapnout úlohu v seznamu úloh
  • Zrychlení činnosti nástroje "Přejmenování souborů"
  • Možnost používat program bez nutnosti instalace

4.02.00.00

4.03.2007
  • Tvorba rozsáhlých archivů (Zip64) s velikostí nad 4GB
  • Generátor hesel
  • Možnost třídění úloh v hlavním okně
  • Přidání parametrů přikazové řádky
  • Šifrování/dešifrování souborů
  • Změna ukládání FTP hesla - nutno změnit/opravit stávající heslo!!!

4.01.22.05

2.07.2006
  • Zrychleno zálohování při komprimaci

4.00.21.03

19.02.2006
  • Oprava zálohování "Kopie 1:1"

4.00.20.02

14.02.2006
  • Umožněno ukládání záloh na FTP server

4.00.10.00

12.12.2005
  • Zobrazení odpočtu času u záloh plánovaných týdně a měsíčně

4.00.00.00

18.11.2005
  • Podpora ZIP souborů do velikosti 4 GB

3.00.10.24

10.10.2005
  • Pro dělení ZIP archívů dle adresářů zapojeny typy archivací: rozdílová a zrcadlení adresářů

3.00.06.19

03.10.2005
  • Přidána konfigurace sloupců v hlavním okně
  • Substituce parametrů v aliasech programů
  • Opravena chyba při plánování dní v týdnu
  • Umožněno dělení ZIP archívů dle adresářů

3.00.03.14

12.9.2005
  • Umožněno nastavení plánování pro jednotlivé dny v týdnu

3.00.02.12

6.9.2005
  • Přidán prohlížeč zálohovaných souborů
  • Přidán prohlížeč historií záloh
  • Opraveno zálohování podadresářů z FTP serveru
  • Možnost nastavení hesla a kompresního poměru v archivačním modulu
  • Změna vzhledu notifikačního dialogu
  • Odstraněna akce "Zamknout PC" v seznamu aliasů programů
  • Umožněno nastavení kompresního poměru záloh

3.00.00.10

8.8.2005
  • Plná verze programu

2.20.00.05

  • Sharewarová verze programu zdarma až do verze 2.40.06.15

1.1.0.4

27.12.2003
  • První verze programu původně vytvořena pro osobní použití


Kontakt

Jiří Šperl
Wolkerova 2080/3
591 01 Žďár nad Sázavou

e-mail: JSperl@seznam.cz
skype: jiri.sperl
web: http://www.sweb.cz/JSperl
GSM: 603/111 658

Bankovní spojení:
Komerční banka a.s.
pobočka Žďár nad Sázavou

Č. účtu: 86-47 84 52 02 47/0100